{
    "[c]": {
        "editor.defaultFormatter": "xaver.clang-format"
    },
    "[cpp]": {
        "editor.defaultFormatter": "xaver.clang-format"
    },
    "[html]": {
        //"editor.formatOnSave": true
    },
    "[java]": {
        "editor.defaultFormatter": "redhat.java"
    },
    "[python]": {
        "editor.formatOnType": true
    },
    "atomKeymap.promptV3Features": true,
    "c-cpp-flylint.clang.enable": false,
    "c-cpp-flylint.clang.language": "C",
    "c-cpp-flylint.clang.standard": [
        "c++20"
    ],
    "c-cpp-flylint.cppcheck.standard": [
        "c++20"
    ],
    "c-cpp-flylint.flawfinder.enable": false,
    "c-cpp-flylint.flexelint.enable": false,
    "c-cpp-flylint.lizard.enable": false,
    "deno.enable": true,
    "editor.detectIndentation": false,
    "editor.fontFamily": "'FiraCode Nerd Font', 'Droid Sans Mono', 'monospace', monospace",
    "editor.fontLigatures": true,
    "editor.formatOnPaste": true,
    "editor.formatOnSave": true,
    "editor.formatOnSaveMode": "file",
    "editor.inlayHints.enabled": "off",
    "editor.inlineSuggest.enabled": true,
    "editor.inlineSuggest.showToolbar": "always",
    "editor.largeFileOptimizations": false,
    "editor.multiCursorModifier": "ctrlCmd",
    "editor.rulers": [
        120
    ],
    "explorer.confirmDelete": false,
    "extensions.ignoreRecommendations": true,
    "files.associations": {
        "*.cc": "cpp",
        "*.ctest": "c",
        "*.h": "c",
        "*.hh": "cpp",
        "*.tig": "pascal",
        "*.tih": "pascal"
    },
    "files.exclude": {
        "**/.git": false
    },
    "git.autofetch": true,
    "git.confirmSync": false,
    "git.enableSmartCommit": true,
    "git.openRepositoryInParentFolders": "always",
    "github.copilot.editor.enableAutoCompletions": false,
    "haskell.manageHLS": "GHCup",
    "intelephense.format.braces": "k&r",
    "materialTheme.accent": "Yellow",
    "polacode.transparentBackground": true,
    "redhat.telemetry.enabled": false,
    "security.workspace.trust.enabled": false,
    "update.showReleaseNotes": false,
    "window.menuBarVisibility": "toggle",
    "workbench.colorCustomizations": {
        "[Material Theme Darker High Contrast]": {
            "activityBar.activeBorder": "#FFA000",
            "activityBarBadge.background": "#FFA000",
            "breadcrumb.activeSelectionForeground": "#FFA000",
            "editor.findMatchBorder": "#FFA000",
            "editorSuggestWidget.highlightForeground": "#FFA000",
            "editorWidget.border": "#FFA000",
            "editorWidget.resizeBorder": "#FFA000",
            "list.activeSelectionForeground": "#FFA000",
            "list.highlightForeground": "#FFA000",
            "list.inactiveSelectionForeground": "#FFA000",
            "menu.selectionForeground": "#FFA000",
            "menubar.selectionForeground": "#FFA000",
            "notificationLink.foreground": "#FFA000",
            "panelTitle.activeBorder": "#FFA000",
            "pickerGroup.foreground": "#FFA000",
            "progressBar.background": "#FFA000",
            "scrollbarSlider.activeBackground": "#FFA00050",
            "selection.background": "#FFA00040",
            "settings.headerForeground": "#FFA000",
            "settings.modifiedItemIndicator": "#FFA000",
            "statusBarItem.remoteBackground": "#FFA000",
            "tab.activeBorder": "#FFA000",
            "textLink.foreground": "#FFA000"
        }
    },
    "workbench.colorTheme": "Material Theme Darker High Contrast",
    "workbench.startupEditor": "none"
}